Subject: Re: bug#51340: 27.2; Bad indentation and fontification of advice functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 20:29:45 +0200

Drew Adams <[email-masked]> writes:

> I don't really care much.  Mainly wanted to draw some
> attention to the (minor) "problem", which could use
> some love.
>
> (advice-add 
>  'foobar-mode :around 'my-foobar-around-advice)
>
> (advice-add 'foobar-mode 
>             :around 'my-foobar-around-advice)
>
> (advice-add 'foobar-mode :around
>  'my-foobar-around-advice)
>
> (add-function :before-until (local 'something)
>               #'some-function)
>
> (add-function where isearch-filter-predicate pred
>               (append (and (or name  ...)
>                            `((name . ...)))
>                       (and ...
>                            (or ...)
>                            (let ((foo  ...))
>                              (unless (or ...)
>                                (setq foo  ))
>                              (and ...)))))

The second, fourth and fifth indentations are the same -- and are the
ones that make the most sense.  And happily, that's the way this indents
today, so I don't think there's anything here to fix, so I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no